@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Light.OTF') format('opentype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Medium.OTF') format('opentype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Regular.OTF') format('opentype');
    font-weight: 400;
    font-style: normal;
}

input[type="email"], input[type="number"], input[type="password"], input[type="search"], input[type="tel"], input[type="text"] {
    outline: 0;
    margin-bottom: 0;
    border: 1px solid #d2d6dc;
    border-radius: 0.3rem;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    height: 40px;
    padding: 0 0.7em;
}

.gl_container * {
    font-family: 'GT America Extended', sans-serif !important;
}

.gl_container {
    width: 100%;
    border: 2px solid #dfdfdf;
    border-radius: 6px;
    max-width: 1400px;
    margin: 40px auto;
    position: relative;
    overflow-y: auto;
}

    .gl_container.isloading::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        backdrop-filter: blur(5px);
        z-index: 1;
        z-index: 1;
    }

    .gl_container .equalizer {
        display: none;
        align-items: flex-end;
        justify-content: center;
        height: 150px;
        gap: 10px;
        background-color: transparent;
        padding: 20px;
        position: absolute;
        left: 50%;
        top: 300px;
    }

        .gl_container .equalizer .bar {
            width: 20px;
            border-radius: 3px;
            animation: bounce 1s infinite ease-in-out;
        }

            .gl_container .equalizer .bar:nth-child(1) {
                background-color: #499ca7;
                height: 30px;
                animation-delay: 0s;
            }

            .gl_container .equalizer .bar:nth-child(2) {
                background-color: #6db37d;
                height: 80px;
                animation-delay: 0.1s;
            }

            .gl_container .equalizer .bar:nth-child(3) {
                background-color: #f2d130;
                height: 150px;
                animation-delay: 0.2s;
            }

            .gl_container .equalizer .bar:nth-child(4) {
                background-color: #f4b33b;
                height: 60px;
                animation-delay: 0.3s;
            }

            .gl_container .equalizer .bar:nth-child(5) {
                background-color: #e03e84;
                height: 20px;
                animation-delay: 0.4s;
            }


    .gl_container.isloading.iswoking .equalizer {
        display: flex;
        z-index: 5;
    }

.gl_reporting,
.gl_optimization {
    display: none;
}

.gl_error {
    position: absolute;
    left: 50%;
    top: 200px;
    transform: translateX(-50%);
    background-color: #FFEC5E;
    border-radius: 20px;
    padding: 40px;
    min-width: 600px;
    min-height: 200px;
    /* z-index: 2; */
    z-index: 9999; /* Always on top */
    display: none;

    /* Ensure error box is still clickable */
    /* position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999; 
    background-color: white;
    padding: 20px;
    border-radius: 10px; */

}

    .gl_error .error_title {
        margin-top: 20px;
        font-size: 1.4rem;
    }

    .gl_error .error_text {
        margin-top: 20px;
        font-size: 0.9rem;
    }

.gl_header {
    border-bottom: 2px solid #dfdfdf;
    padding: 20px 40px 10px 10px;
    background-color: #ffffff;
}

    .gl_header a#gl_a_logo {
        width: 150px;
        display: inline-block;
        margin-left: 30px;
    }

        .gl_header a#gl_a_logo img {
            display: inline-block;
            width: 100%;
        }

a#gl_a_fullscreen::before {
    content: '';
    display: inline-block;
    position: absolute;
    top: 50%;
    left: -10px;
    transform: translate(-100%, -50%);
    height: 15px;
    width: 15px;
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/full_arrow@2x.png');
    background-size: cover;
}

a#gl_a_fullscreen {
    position: absolute;
    left: 50%;
    top: 28px;
    display: inline-block;
    color: #4D4D4D;
    font-size: 0.9rem;
}

.gl_greenlight_con {
    position: absolute;
    right: 20px !important;
    top: 20px;
    display: inline-block;
}

    .gl_greenlight_con label {
        position: relative !important;
        margin-left: 5px;
        margin-right: 5px;
        transform: translateY(-10px);
    }

    .gl_greenlight_con span {
        display: inline-block;
        text-align: center;
        font-size: 0.8rem;
    }

.gl_cols {
    display: flex;
    padding: 0px 0px;
}

.gl_hover_effect {
    position: relative;
    text-decoration: none;
    color: inherit;
    display: inline-block;
}

    .gl_hover_effect::after {
        content: '';
        position: absolute;
        left: 50%;
        bottom: 0;
        width: 0;
        height: 2px;
        background-color: currentColor;
        transition: all 0.3s ease;
        transform: translateX(-50%);
    }

    .gl_hover_effect:hover::after {
        width: 100%;
        left: 0;
        transform: translateX(0);
    }

.gl_switch {
    position: absolute;
    right: 0px;
    display: inline-block;
    width: 44px;
    height: 25px;
}

    .gl_switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.gl_slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #F2F2F2;
    border-radius: 24px;
    transition: 0.4s;
    border: 2px solid #D6D6D6;
}

    .gl_slider:before {
        position: absolute;
        content: "";
        height: 19px;
        width: 19px;
        left: 2px;
        top: 1px;
        background-color: white;
        border-radius: 50%;
        transition: 0.4s;
        border: 2px solid #D6D6D6;
    }

.gl_switch input:checked + .gl_slider {
    background-color: #4D4D4D; /* iOS green */
}

    .gl_switch input:checked + .gl_slider:before {
        transform: translateX(18px);
    }


.gl_btn {
    background-color: #4D4D4D;
    border: 2px solid #4D4D4D;
    color: white;
    padding: 10px;
    border-radius: 4px;
    min-width: 90%;
    cursor: pointer;
}

    .gl_btn.gl_calulate {
        min-width: 90%;
        cursor: pointer;
        margin: 30px auto;
        display: block;
        font-size: 1rem
    }

    .gl_btn:hover {
        background-color: #FFFFFF;
        color: #4D4D4D;
    }

    .gl_btn#gl_errorclose {
        min-width: 100%;
        margin-top: 40px
    }

        .gl_btn#gl_errorclose:hover {
            background-color: #FFEC5E;
            color: #4D4D4D;
        }

.blur-container {
    position: relative;
}

    .blur-container::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        backdrop-filter: blur(4px);
        z-index: 1;
    }

.gl_set_error {
    margin-bottom: 1rem;
    text-align: center;
    padding: 10px 5px 10px 20px;
    background-color: red;
    border-radius: 4px;
    color: white;
    max-width: 90%;
    position: relative;
    font-size: 0.8rem;
    opacity: 0.7;
}

    .gl_set_error:before {
        content: "(!)";
        position: absolute;
        left: 10px;
    }

@keyframes bounce {
    0%, 100% {
        transform: scaleY(1);
    }

    50% {
        transform: scaleY(1.8);
    }
}
